package com.bankaudit.dto.process;

public class AuditRatingScoreDto {

	private Integer legalEntityCode;
	private String rmCode;
	private String auditId;
	private String unitId;
	private String integratedScore;
	private String managementScore;
	private String afterOverlayScore;
	private String normalisedAfterOverlayScore;
	private String normalisedScore;
	private String paramOverlayScore;  // total penalty score for level as PARAMETER
	private String integratedRating;
	private String afterParameterOverlayRating;
	private String afterModelOverlayRating;
	private String finalRating;	
	private String normalisedScoreHO;
	private String normalisedAfterOverlayScoreHO;
	private String finalRatingHO;
	
	private String compositePrcntg;
	private String compositeRating;
	private String compositePrcntgAftrOverlay;
	private String compositeRatingAftrOverlay;
	private String compositeRatingStatus;
	private String compositeRatingChecker;
	
	
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getRmCode() {
		return rmCode;
	}
	public void setRmCode(String rmCode) {
		this.rmCode = rmCode;
	}
	public String getAuditId() {
		return auditId;
	}
	public void setAuditId(String auditId) {
		this.auditId = auditId;
	}
	public String getUnitId() {
		return unitId;
	}
	public void setUnitId(String unitId) {
		this.unitId = unitId;
	}
	public String getIntegratedScore() {
		return integratedScore;
	}
	public void setIntegratedScore(String integratedScore) {
		this.integratedScore = integratedScore;
	}
	public String getManagementScore() {
		return managementScore;
	}
	public void setManagementScore(String managementScore) {
		this.managementScore = managementScore;
	}
	public String getAfterOverlayScore() {
		return afterOverlayScore;
	}
	public void setAfterOverlayScore(String afterOverlayScore) {
		this.afterOverlayScore = afterOverlayScore;
	}
	public String getNormalisedAfterOverlayScore() {
		return normalisedAfterOverlayScore;
	}
	public void setNormalisedAfterOverlayScore(String normalisedAfterOverlayScore) {
		this.normalisedAfterOverlayScore = normalisedAfterOverlayScore;
	}
	public String getNormalisedScore() {
		return normalisedScore;
	}
	public void setNormalisedScore(String normalisedScore) {
		this.normalisedScore = normalisedScore;
	}
	public String getParamOverlayScore() {
		return paramOverlayScore;
	}
	public void setParamOverlayScore(String paramOverlayScore) {
		this.paramOverlayScore = paramOverlayScore;
	}
	public String getIntegratedRating() {
		return integratedRating;
	}
	public void setIntegratedRating(String integratedRating) {
		this.integratedRating = integratedRating;
	}
	public String getAfterParameterOverlayRating() {
		return afterParameterOverlayRating;
	}
	public void setAfterParameterOverlayRating(String afterParameterOverlayRating) {
		this.afterParameterOverlayRating = afterParameterOverlayRating;
	}
	public String getAfterModelOverlayRating() {
		return afterModelOverlayRating;
	}
	public void setAfterModelOverlayRating(String afterModelOverlayRating) {
		this.afterModelOverlayRating = afterModelOverlayRating;
	}
	public String getFinalRating() {
		return finalRating;
	}
	public void setFinalRating(String finalRating) {
		this.finalRating = finalRating;
	}
	public String getNormalisedScoreHO() {
		return normalisedScoreHO;
	}
	public void setNormalisedScoreHO(String normalisedScoreHO) {
		this.normalisedScoreHO = normalisedScoreHO;
	}
	public String getNormalisedAfterOverlayScoreHO() {
		return normalisedAfterOverlayScoreHO;
	}
	public void setNormalisedAfterOverlayScoreHO(String normalisedAfterOverlayScoreHO) {
		this.normalisedAfterOverlayScoreHO = normalisedAfterOverlayScoreHO;
	}
	public String getFinalRatingHO() {
		return finalRatingHO;
	}
	public void setFinalRatingHO(String finalRatingHO) {
		this.finalRatingHO = finalRatingHO;
	}
	public String getCompositePrcntg() {
		return compositePrcntg;
	}
	public void setCompositePrcntg(String compositePrcntg) {
		this.compositePrcntg = compositePrcntg;
	}
	public String getCompositeRating() {
		return compositeRating;
	}
	public void setCompositeRating(String compositeRating) {
		this.compositeRating = compositeRating;
	}
	public String getCompositePrcntgAftrOverlay() {
		return compositePrcntgAftrOverlay;
	}
	public void setCompositePrcntgAftrOverlay(String compositePrcntgAftrOverlay) {
		this.compositePrcntgAftrOverlay = compositePrcntgAftrOverlay;
	}
	public String getCompositeRatingAftrOverlay() {
		return compositeRatingAftrOverlay;
	}
	public void setCompositeRatingAftrOverlay(String compositeRatingAftrOverlay) {
		this.compositeRatingAftrOverlay = compositeRatingAftrOverlay;
	}
	public String getCompositeRatingStatus() {
		return compositeRatingStatus;
	}
	public void setCompositeRatingStatus(String compositeRatingStatus) {
		this.compositeRatingStatus = compositeRatingStatus;
	}
	public String getCompositeRatingChecker() {
		return compositeRatingChecker;
	}
	public void setCompositeRatingChecker(String compositeRatingChecker) {
		this.compositeRatingChecker = compositeRatingChecker;
	}
	
}
